<?xml version="1.0" encoding="windows-1250"?>
<xsl:stylesheet
   xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
>

<xsl:output method="text"/>

<!-- !!! Sablona je celmi podobna s sablonou template_xml_table.xsl - pokud ji budes opravovat, tak pripadnou upravu pokud to pujde zakomponuj i do te druhe -->

<!-- = definice "vestavenych" sablon - v MS IE 5 nejsou vestavene, proto je zde zvlast definuji (pozn.: schvalne nejsou strukturovany) -->

   <xsl:template match="*"><xsl:apply-templates/></xsl:template>

   <xsl:template match="text()"><xsl:value-of select="."/></xsl:template>

<!-- = zaklad stranky = -->

  <xsl:template match="/">
         <!-- tabulka -->
         <xsl:apply-templates select="table"/>
   </xsl:template>  
  
<!-- = tabulka = -->

   <xsl:template match="/table">
      <!-- nazev dotazu -->
      <xsl:apply-templates select="query/query_name"/>
      <xsl:text>&#13;&#10;</xsl:text>
      <!-- hlavicka tabulky -->
      <xsl:apply-templates select="cols/col"/>
      <xsl:text>&#13;&#10;</xsl:text>
      <!-- telo tabulky -->
      <xsl:apply-templates select="rows"/>
   </xsl:template>

   <!-- hlavicka tabulky -->
   <xsl:template match="/table/cols/col">
      <xsl:apply-templates/>
      <xsl:if test="position()!=$col_count">
         <xsl:text>&#09;</xsl:text>
      </xsl:if>
   </xsl:template>

   <!-- telo tabulky -->
   <xsl:template match="/table//rows">
      <xsl:apply-templates/>
   </xsl:template>

   <!-- nadpisy group -->
   <xsl:template match="/table//rows/rows_heading">
      <xsl:apply-templates/>
      <xsl:text>&#13;&#10;</xsl:text>
   </xsl:template>

   <!-- radky tabulky -->
   <xsl:template match="/table//rows/row">
      <xsl:for-each select="*">
         <xsl:apply-templates select="."/>
         <xsl:if test="position()!=$col_count">
            <xsl:text>&#09;</xsl:text>
         </xsl:if>
      </xsl:for-each>
      <xsl:text>&#13;&#10;</xsl:text>
   </xsl:template>

   <!-- jednotlive hodnoty bunky tabulky -->
   <xsl:template match="/table//rows/row/*|/table//rows/rows_heading/*">
      <xsl:apply-templates/>
   </xsl:template>

<!-- = hlavni promene -->
   <xsl:variable name="col_count" select="count(/table/cols/col)"/>

</xsl:stylesheet>

